Bug 829339 - SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' accesses on the directory ia.media-imdb.com.
SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' acc...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:58c2aa6d6ac02d25524dccf9ed0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 10:01 EDT by Godzilla
Modified: 2012-06-07 14:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 14:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Godzilla 2012-06-06 10:01:37 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc16.i686.PAE
time:           Wed 06 Jun 2012 07:29:03 PM IST

description:
:SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' accesses on the directory ia.media-imdb.com.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that npviewer.bin should be allowed create access on the ia.media-imdb.com directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep npviewer.bin /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_t:s0
:Target Objects                ia.media-imdb.com [ dir ]
:Source                        npviewer.bin
:Source Path                   /usr/lib/nspluginwrapper/npviewer.bin
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           nspluginwrapper-1.4.4-9.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-86.fc16.noarch selinux-
:                              policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc16.i686.PAE #1 SMP Tue
:                              May 22 14:07:22 UTC 2012 i686 i686
:Alert Count                   5
:First Seen                    Wed 06 Jun 2012 11:18:46 AM IST
:Last Seen                     Wed 06 Jun 2012 11:18:50 AM IST
:Local ID                      21b989a0-6295-4656-a5c9-9dd9508e6ebc
:
:Raw Audit Messages
:type=AVC msg=audit(1338961730.331:114): avc:  denied  { create } for  pid=2067 comm="npviewer.bin" name="ia.media-imdb.com" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1338961730.331:114): arch=i386 syscall=mkdir success=no exit=EACCES a0=b4e33ac0 a1=1c0 a2=b664f688 a3=b4e33ac0 items=0 ppid=1790 pid=2067 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=npviewer.bin exe=/usr/lib/nspluginwrapper/npviewer.bin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: npviewer.bin,mozilla_plugin_t,user_home_t,dir,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-07 14:47:59 EDT
restorecon -R -v /home

Should fix your labeling in the homedir.

Note You need to log in before you can comment on or make changes to this bug.